<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>DrawingManager2 (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DrawingManager2 (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":42,"i2":42,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/DrawingManager2.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/model/ConvertAnchor.html"
               title="class in org.apache.poi.hssf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/model/HSSFFormulaParser.html"
               title="class in org.apache.poi.hssf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/model/DrawingManager2.html" target="_top">Frames</a>
        </li>
        <li><a href="DrawingManager2.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.model</div>
    <h2 title="Class DrawingManager2" class="title">Class DrawingManager2</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.model.DrawingManager2</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">DrawingManager2</span>
extends java.lang.Object</pre>
                <div class="block">Provides utilities to manage drawing groups.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/model/DrawingManager2.html#DrawingManager2-org.apache.poi.ddf.EscherDggRecord-">DrawingManager2</a></span>(<a
                                        href="../../../../../org/apache/poi/ddf/EscherDggRecord.html"
                                        title="class in org.apache.poi.ddf">EscherDggRecord</a>&nbsp;dgg)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a
                                    href="javascript:show(32);">Deprecated Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/model/DrawingManager2.html#allocateShapeId-org.apache.poi.ddf.EscherDgRecord-">allocateShapeId</a></span>(<a
                                        href="../../../../../org/apache/poi/ddf/EscherDgRecord.html"
                                        title="class in org.apache.poi.ddf">EscherDgRecord</a>&nbsp;dg)</code>
                                    <div class="block">Allocates new shape id for the drawing group</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/model/DrawingManager2.html#allocateShapeId-short-">allocateShapeId</a></span>(short&nbsp;drawingGroupId)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">in POI 3.17-beta2, use allocateShapeId(EscherDgRecord)</span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/model/DrawingManager2.html#allocateShapeId-short-org.apache.poi.ddf.EscherDgRecord-">allocateShapeId</a></span>(short&nbsp;drawingGroupId,
                                    <a href="../../../../../org/apache/poi/ddf/EscherDgRecord.html"
                                       title="class in org.apache.poi.ddf">EscherDgRecord</a>&nbsp;dg)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">in POI 3.17-beta2, use allocateShapeId(EscherDgRecord)</span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/model/DrawingManager2.html#clearDrawingGroups--">clearDrawingGroups</a></span>()</code>
                                    <div class="block">Clears the cached list of drawing groups</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ddf/EscherDgRecord.html"
                                        title="class in org.apache.poi.ddf">EscherDgRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/model/DrawingManager2.html#createDgRecord--">createDgRecord</a></span>()</code>
                                    <div class="block">Creates a new drawing group</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/model/DrawingManager2.html#findNewDrawingGroupId--">findNewDrawingGroupId</a></span>()</code>
                                    <div class="block">Finds the next available (1 based) drawing group id</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ddf/EscherDggRecord.html"
                                        title="class in org.apache.poi.ddf">EscherDggRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/model/DrawingManager2.html#getDgg--">getDgg</a></span>()</code>
                                    <div class="block">Returns the drawing group container record</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/model/DrawingManager2.html#incrementDrawingsSaved--">incrementDrawingsSaved</a></span>()</code>
                                    <div class="block">Increment the drawing counter</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="DrawingManager2-org.apache.poi.ddf.EscherDggRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>DrawingManager2</h4>
                                <pre>public&nbsp;DrawingManager2(<a
                                        href="../../../../../org/apache/poi/ddf/EscherDggRecord.html"
                                        title="class in org.apache.poi.ddf">EscherDggRecord</a>&nbsp;dgg)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="clearDrawingGroups--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>clearDrawingGroups</h4>
                                <pre>public&nbsp;void&nbsp;clearDrawingGroups()</pre>
                                <div class="block">Clears the cached list of drawing groups</div>
                            </li>
                        </ul>
                        <a name="createDgRecord--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createDgRecord</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ddf/EscherDgRecord.html"
                                                    title="class in org.apache.poi.ddf">EscherDgRecord</a>&nbsp;createDgRecord()</pre>
                                <div class="block">Creates a new drawing group</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a new drawing group</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="allocateShapeId-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>allocateShapeId</h4>
                                <pre>@Deprecated
 <a href="../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                                            href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.0")
public&nbsp;int&nbsp;allocateShapeId(short&nbsp;drawingGroupId)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">in POI 3.17-beta2, use allocateShapeId(EscherDgRecord)</span>
                                </div>
                                <div class="block">Allocates new shape id for the drawing group id.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>drawingGroupId</code> - the drawing group id</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a new shape id</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="allocateShapeId-short-org.apache.poi.ddf.EscherDgRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>allocateShapeId</h4>
                                <pre>@Deprecated
 <a href="../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                                            href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.0")
public&nbsp;int&nbsp;allocateShapeId(short&nbsp;drawingGroupId,
                                                                <a href="../../../../../org/apache/poi/ddf/EscherDgRecord.html"
                                                                   title="class in org.apache.poi.ddf">EscherDgRecord</a>&nbsp;dg)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">in POI 3.17-beta2, use allocateShapeId(EscherDgRecord)</span>
                                </div>
                                <div class="block">Allocates new shape id for the drawing group</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>drawingGroupId</code> - the drawing group id</dd>
                                    <dd><code>dg</code> - the EscherDgRecord which receives the new shape</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a new shape id.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="allocateShapeId-org.apache.poi.ddf.EscherDgRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>allocateShapeId</h4>
                                <pre>public&nbsp;int&nbsp;allocateShapeId(<a
                                        href="../../../../../org/apache/poi/ddf/EscherDgRecord.html"
                                        title="class in org.apache.poi.ddf">EscherDgRecord</a>&nbsp;dg)</pre>
                                <div class="block">Allocates new shape id for the drawing group</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>dg</code> - the EscherDgRecord which receives the new shape</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a new shape id.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="findNewDrawingGroupId--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>findNewDrawingGroupId</h4>
                                <pre>public&nbsp;short&nbsp;findNewDrawingGroupId()</pre>
                                <div class="block">Finds the next available (1 based) drawing group id</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the next available drawing group id</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDgg--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDgg</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ddf/EscherDggRecord.html"
                                                    title="class in org.apache.poi.ddf">EscherDggRecord</a>&nbsp;getDgg()</pre>
                                <div class="block">Returns the drawing group container record</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the drawing group container record</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="incrementDrawingsSaved--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>incrementDrawingsSaved</h4>
                                <pre>public&nbsp;void&nbsp;incrementDrawingsSaved()</pre>
                                <div class="block">Increment the drawing counter</div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/DrawingManager2.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/model/ConvertAnchor.html"
               title="class in org.apache.poi.hssf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/model/HSSFFormulaParser.html"
               title="class in org.apache.poi.hssf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/model/DrawingManager2.html" target="_top">Frames</a>
        </li>
        <li><a href="DrawingManager2.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
